<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpColorProfileComboBox: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets Vsnapshot">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpColorProfileStore.html" title="GimpColorProfileStore">
<link rel="next" href="GimpColorProfileView.html" title="GimpColorProfileView">
<meta name="generator" content="GTK-Doc V1.33.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpColorProfileComboBox.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpColorProfileComboBox.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpColorProfileComboBox.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpColorProfileComboBox.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorProfileStore.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpColorProfileView.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpColorProfileComboBox"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpColorProfileComboBox.top_of_page"></a>GimpColorProfileComboBox</span></h2>
<p>GimpColorProfileComboBox — A combo box for selecting color profiles.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-color-profile-combo-box.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_proto_type">
<col class="functions_proto_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<span class="returnvalue">GtkWidget</span> *
</td>
<td class="function_name">
<a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-new" title="gimp_color_profile_combo_box_new ()">gimp_color_profile_combo_box_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">GtkWidget</span> *
</td>
<td class="function_name">
<a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-new-with-model" title="gimp_color_profile_combo_box_new_with_model ()">gimp_color_profile_combo_box_new_with_model</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-add" title="gimp_color_profile_combo_box_add ()">gimp_color_profile_combo_box_add</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-add-file" title="gimp_color_profile_combo_box_add_file ()">gimp_color_profile_combo_box_add_file</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-set-active" title="gimp_color_profile_combo_box_set_active ()">gimp_color_profile_combo_box_set_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-set-active-file" title="gimp_color_profile_combo_box_set_active_file ()">gimp_color_profile_combo_box_set_active_file</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">gchar</span> *
</td>
<td class="function_name">
<a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-get-active" title="gimp_color_profile_combo_box_get_active ()">gimp_color_profile_combo_box_get_active</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">GFile</span> *
</td>
<td class="function_name">
<a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-get-active-file" title="gimp_color_profile_combo_box_get_active_file ()">gimp_color_profile_combo_box_get_active_file</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type">
<span class="type">GtkDialog</span> *</td>
<td class="property_name"><a class="link" href="GimpColorProfileComboBox.html#GimpColorProfileComboBox--dialog" title="The “dialog” property">dialog</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
<tr>
<td class="property_type">
<a class="link" href="GimpColorProfileStore.html" title="GimpColorProfileStore"><span class="type">GimpColorProfileStore</span></a> *</td>
<td class="property_name"><a class="link" href="GimpColorProfileComboBox.html#GimpColorProfileComboBox--model" title="The “model” property">model</a></td>
<td class="property_flags">Read / Write</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="other_proto_type">
<col class="other_proto_name">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpColorProfileComboBox.html#GimpColorProfileComboBox-struct" title="GimpColorProfileComboBox">GimpColorProfileComboBox</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    GObject
    <span class="lineart">╰──</span> GInitiallyUnowned
        <span class="lineart">╰──</span> GtkObject
            <span class="lineart">╰──</span> GtkWidget
                <span class="lineart">╰──</span> GtkContainer
                    <span class="lineart">╰──</span> GtkBin
                        <span class="lineart">╰──</span> GtkComboBox
                            <span class="lineart">╰──</span> GimpColorProfileComboBox
</pre>
</div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpColorProfileComboBox implements
 AtkImplementorIface,  GtkBuildable,  GtkCellLayout and  GtkCellEditable.</p>
</div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.description"></a><h2>Description</h2>
<p>A combo box for selecting color profiles.</p>
</div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-color-profile-combo-box-new"></a><h3>gimp_color_profile_combo_box_new ()</h3>
<pre class="programlisting"><span class="returnvalue">GtkWidget</span> *
gimp_color_profile_combo_box_new (<em class="parameter"><code><span class="type">GtkWidget</span> *dialog</code></em>,
                                  <em class="parameter"><code>const <span class="type">gchar</span> *history</code></em>);</pre>
<p>Create a combo-box widget for selecting color profiles. The combo-box
is populated from the file specified as <em class="parameter"><code>history</code></em>
. This filename is
typically created using the following code snippet:</p>
<div class="informalexample">
  <table class="listing_frame" border="0" cellpadding="0" cellspacing="0">
    <tbody>
      <tr>
        <td class="listing_lines" align="right"><pre>1</pre></td>
        <td class="listing_code"><pre class="programlisting"><span class="n">gchar</span><span class="w"> </span><span class="o">*</span><span class="n">history</span><span class="w"> </span><span class="o">=</span><span class="w"> </span><span class="n">gimp_personal_rc_file</span><span class="w"> </span><span class="p">(</span><span class="s">&quot;profilerc&quot;</span><span class="p">);</span><span class="w"></span></pre></td>
      </tr>
    </tbody>
  </table>
</div>

<p>The recommended <em class="parameter"><code>dialog</code></em>
 type to use is a <a class="link" href="GimpColorProfileChooserDialog.html" title="GimpColorProfileChooserDialog"><span class="type">GimpColorProfileChooserDialog</span></a>.
If a <a class="link" href="GimpColorProfileChooserDialog.html" title="GimpColorProfileChooserDialog"><span class="type">GimpColorProfileChooserDialog</span></a> is passed, <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a>
will take complete control over the dialog, which means connecting
a GtkDialog::<code class="function">response()</code> callback by itself, and take care of destroying
the dialog when the combo box is destroyed.</p>
<p>If another type of <em class="parameter"><code>dialog</code></em>
 is passed, this has to be implemented
separately.</p>
<p>See also <a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-new-with-model" title="gimp_color_profile_combo_box_new_with_model ()"><code class="function">gimp_color_profile_combo_box_new_with_model()</code></a>.</p>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>a <span class="type">GtkDialog</span> to present when the user selects the
"Select color profile from disk..." item</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>history</p></td>
<td class="parameter_description"><p>filename of the profilerc (or <code class="literal">NULL</code> for no history)</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-profile-combo-box-new-with-model"></a><h3>gimp_color_profile_combo_box_new_with_model ()</h3>
<pre class="programlisting"><span class="returnvalue">GtkWidget</span> *
gimp_color_profile_combo_box_new_with_model
                               (<em class="parameter"><code><span class="type">GtkWidget</span> *dialog</code></em>,
                                <em class="parameter"><code><span class="type">GtkTreeModel</span> *model</code></em>);</pre>
<p>This constructor is useful when you want to create several
combo-boxes for profile selection that all share the same
<a class="link" href="GimpColorProfileStore.html" title="GimpColorProfileStore"><span class="type">GimpColorProfileStore</span></a>. This is for example done in the
GIMP Preferences dialog.</p>
<p>See also <a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-new" title="gimp_color_profile_combo_box_new ()"><code class="function">gimp_color_profile_combo_box_new()</code></a>.</p>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-new-with-model.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>dialog</p></td>
<td class="parameter_description"><p>a <span class="type">GtkDialog</span> to present when the user selects the
"Select color profile from disk..." item</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>model</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorProfileStore.html" title="GimpColorProfileStore"><span class="type">GimpColorProfileStore</span></a> object</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-new-with-model.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-profile-combo-box-add"></a><h3>gimp_color_profile_combo_box_add ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_profile_combo_box_add (<em class="parameter"><code><a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a> *combo</code></em>,
                                  <em class="parameter"><code>const <span class="type">gchar</span> *filename</code></em>,
                                  <em class="parameter"><code>const <span class="type">gchar</span> *label</code></em>);</pre>
<div class="warning">
<p><code class="literal">gimp_color_profile_combo_box_add</code> is deprecated and should not be used in newly-written code.</p>
<p>use <a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-add-file" title="gimp_color_profile_combo_box_add_file ()"><code class="function">gimp_color_profile_combo_box_add_file()</code></a> instead.</p>
</div>
<p>This function delegates to the underlying
<a class="link" href="GimpColorProfileStore.html" title="GimpColorProfileStore"><span class="type">GimpColorProfileStore</span></a>. Please refer to the documentation of
<a class="link" href="GimpColorProfileStore.html#gimp-color-profile-store-add-file" title="gimp_color_profile_store_add_file ()"><code class="function">gimp_color_profile_store_add_file()</code></a> for details.</p>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-add.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>combo</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>filename</p></td>
<td class="parameter_description"><p>filename of the profile to add (or <code class="literal">NULL</code>)</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>label</p></td>
<td class="parameter_description"><p>label to use for the profile
(may only be <code class="literal">NULL</code> if <em class="parameter"><code>filename</code></em>
is <code class="literal">NULL</code>)</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-profile-combo-box-add-file"></a><h3>gimp_color_profile_combo_box_add_file ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_profile_combo_box_add_file (<em class="parameter"><code><a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a> *combo</code></em>,
                                       <em class="parameter"><code><span class="type">GFile</span> *file</code></em>,
                                       <em class="parameter"><code>const <span class="type">gchar</span> *label</code></em>);</pre>
<p>This function delegates to the underlying
<a class="link" href="GimpColorProfileStore.html" title="GimpColorProfileStore"><span class="type">GimpColorProfileStore</span></a>. Please refer to the documentation of
<a class="link" href="GimpColorProfileStore.html#gimp-color-profile-store-add-file" title="gimp_color_profile_store_add_file ()"><code class="function">gimp_color_profile_store_add_file()</code></a> for details.</p>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-add-file.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>combo</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>file</p></td>
<td class="parameter_description"><p>file of the profile to add (or <code class="literal">NULL</code>)</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>label</p></td>
<td class="parameter_description"><p>label to use for the profile
(may only be <code class="literal">NULL</code> if <em class="parameter"><code>file</code></em>
is <code class="literal">NULL</code>)</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-profile-combo-box-set-active"></a><h3>gimp_color_profile_combo_box_set_active ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_profile_combo_box_set_active
                               (<em class="parameter"><code><a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a> *combo</code></em>,
                                <em class="parameter"><code>const <span class="type">gchar</span> *filename</code></em>,
                                <em class="parameter"><code>const <span class="type">gchar</span> *label</code></em>);</pre>
<div class="warning">
<p><code class="literal">gimp_color_profile_combo_box_set_active</code> is deprecated and should not be used in newly-written code.</p>
<p>use <a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-set-active-file" title="gimp_color_profile_combo_box_set_active_file ()"><code class="function">gimp_color_profile_combo_box_set_active_file()</code></a> instead.</p>
</div>
<p>Selects a color profile from the <em class="parameter"><code>combo</code></em>
 and makes it the active
item.  If the profile is not listed in the <em class="parameter"><code>combo</code></em>
, then it is added
with the given <em class="parameter"><code>label</code></em>
 (or <em class="parameter"><code>filename</code></em>
 in case that <em class="parameter"><code>label</code></em>
 is <code class="literal">NULL</code>).</p>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-set-active.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>combo</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>filename</p></td>
<td class="parameter_description"><p>filename of the profile to select</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>label</p></td>
<td class="parameter_description"><p>label to use when adding a new entry (can be <code class="literal">NULL</code>)</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-profile-combo-box-set-active-file"></a><h3>gimp_color_profile_combo_box_set_active_file ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_profile_combo_box_set_active_file
                               (<em class="parameter"><code><a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a> *combo</code></em>,
                                <em class="parameter"><code><span class="type">GFile</span> *file</code></em>,
                                <em class="parameter"><code>const <span class="type">gchar</span> *label</code></em>);</pre>
<p>Selects a color profile from the <em class="parameter"><code>combo</code></em>
 and makes it the active
item.  If the profile is not listed in the <em class="parameter"><code>combo</code></em>
, then it is added
with the given <em class="parameter"><code>label</code></em>
 (or <em class="parameter"><code>file</code></em>
 in case that <em class="parameter"><code>label</code></em>
 is <code class="literal">NULL</code>).</p>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-set-active-file.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>combo</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>file</p></td>
<td class="parameter_description"><p>file of the profile to select</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>label</p></td>
<td class="parameter_description"><p>label to use when adding a new entry (can be <code class="literal">NULL</code>)</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-profile-combo-box-get-active"></a><h3>gimp_color_profile_combo_box_get_active ()</h3>
<pre class="programlisting"><span class="returnvalue">gchar</span> *
gimp_color_profile_combo_box_get_active
                               (<em class="parameter"><code><a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a> *combo</code></em>);</pre>
<div class="warning">
<p><code class="literal">gimp_color_profile_combo_box_get_active</code> is deprecated and should not be used in newly-written code.</p>
<p>use <a class="link" href="GimpColorProfileComboBox.html#gimp-color-profile-combo-box-get-active-file" title="gimp_color_profile_combo_box_get_active_file ()"><code class="function">gimp_color_profile_combo_box_get_active_file()</code></a> instead.</p>
</div>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-get-active.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>combo</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-get-active.returns"></a><h4>Returns</h4>
<p> The filename of the currently selected color profile,
This is a newly allocated string and should be released
using <code class="function">g_free()</code> when it is not any longer needed.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-profile-combo-box-get-active-file"></a><h3>gimp_color_profile_combo_box_get_active_file ()</h3>
<pre class="programlisting"><span class="returnvalue">GFile</span> *
gimp_color_profile_combo_box_get_active_file
                               (<em class="parameter"><code><a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a> *combo</code></em>);</pre>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-get-active-file.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody><tr>
<td class="parameter_name"><p>combo</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr></tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-profile-combo-box-get-active-file.returns"></a><h4>Returns</h4>
<p> The file of the currently selected color profile,
release using <code class="function">g_object_unref()</code> when it is not any
longer needed.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpColorProfileComboBox-struct"></a><h3>GimpColorProfileComboBox</h3>
<pre class="programlisting">typedef struct _GimpColorProfileComboBox GimpColorProfileComboBox;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpColorProfileComboBox.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpColorProfileComboBox--dialog"></a><h3>The <code class="literal">“dialog”</code> property</h3>
<pre class="programlisting">  “dialog”                   <span class="type">GtkDialog</span> *</pre>
<p><span class="type">GtkDialog</span> to present when the user selects the
"Select color profile from disk..." item.</p>
<p>Owner: GimpColorProfileComboBox</p>
<p>Flags: Read / Write / Construct Only</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpColorProfileComboBox--model"></a><h3>The <code class="literal">“model”</code> property</h3>
<pre class="programlisting">  “model”                    <a class="link" href="GimpColorProfileStore.html" title="GimpColorProfileStore"><span class="type">GimpColorProfileStore</span></a> *</pre>
<p>Overrides the "model" property of the <span class="type">GtkComboBox</span> class.
<a class="link" href="GimpColorProfileComboBox.html" title="GimpColorProfileComboBox"><span class="type">GimpColorProfileComboBox</span></a> requires the model to be a
<a class="link" href="GimpColorProfileStore.html" title="GimpColorProfileStore"><span class="type">GimpColorProfileStore</span></a>.</p>
<p>Owner: GimpColorProfileComboBox</p>
<p>Flags: Read / Write</p>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.33.1</div>
</body>
</html>